Public Member Functions | Public Attributes | List of all members
libvisio::Pointer Struct Reference

`#include <VSDParser.h>`

## Public Member Functions
| Pointer ()
| Pointer (const Pointer &ptr)=default
Pointer & | operator= (const Pointer &ptr)=default

## Public Attributes
unsigned | Type
unsigned | Offset
unsigned | Length
unsigned short | Format
unsigned | ListSize

## Constructor & Destructor Documentation

## ◆ Pointer() [1/2]

libvisio::Pointer::Pointer | ( |  | ) |
| inline

## ◆ Pointer() [2/2]

libvisio::Pointer::Pointer | ( | const Pointer & | ptr | ) |
| default

## Member Function Documentation

## ◆ operator=()

Pointer & libvisio::Pointer::operator= | ( | const Pointer & | ptr | ) |
| default

## Member Data Documentation

## ◆ Format

unsigned short libvisio::Pointer::Format

Referenced by libvisio::VSDParser::handleStream(), libvisio::VSDParser::parseMain(), libvisio::VSDParser::readPointer(), and libvisio::VSD5Parser::readPointer().

## ◆ Length

unsigned libvisio::Pointer::Length

Referenced by libvisio::VSDParser::handleStream(), libvisio::VSDParser::parseMain(), libvisio::VSDParser::readPointer(), and libvisio::VSD5Parser::readPointer().

## ◆ ListSize

unsigned libvisio::Pointer::ListSize

## ◆ Offset

unsigned libvisio::Pointer::Offset

Referenced by libvisio::VSDParser::handleStream(), libvisio::VSDParser::parseMain(), libvisio::VSDParser::readPointer(), and libvisio::VSD5Parser::readPointer().

## ◆ Type

unsigned libvisio::Pointer::Type

Referenced by libvisio::VSDParser::handleStream(), libvisio::VSDParser::handleStreams(), libvisio::VSDParser::readPointer(), and libvisio::VSD5Parser::readPointer().

The documentation for this struct was generated from the following file:

- VSDParser.h